#! /bin/sh # # $FreeBSD$ # ask() { local question default answer question=$1 default=$2 if [ -z "${PACKAGE_BUILDING}" ]; then read -p "${question} [${default}]? " answer fi if [ x${answer} = x ]; then answer=${default} fi echo ${answer} } yesno() { local dflt question answer question=$1 dflt=$2 while :; do answer=$(ask "${question}" "${dflt}") case "${answer}" in [Yy]*) return 0;; [Nn]*) return 1;; esac echo "Please answer yes or no." done } make_account() { local u g gcos homeopt home u=$1 g=$2 gcos=$3 homeopt=${4:+"-d $4"} if pw group show "${g}" >/dev/null 2>&1; then echo "You already have a group \"${g}\", so I will use it." else echo "You need a group \"${g}\"." if which -s pw && yesno "Would you like me to create it" y; then pw groupadd ${g} || exit echo "Done." else echo "Please create it, and try again." if ! grep -q "^${u}:" /etc/passwd; then echo "While you're at it, please create a user \"${u}\" too," echo "with a default group of \"${g}\"." fi exit 1 fi fi if pw user show "${u}" >/dev/null 2>&1; then echo "You already have a user \"${u}\", so I will use it." else echo "You need a user \"${u}\"." if which -s pw && yesno "Would you like me to create it" y; then pw useradd ${u} -g ${g} -h - ${homeopt} \ -s /nonexistent -c "${gcos}" || exit echo "Done." else echo "Please create it, and try again." exit 1 fi fi if [ x"$homeopt" = x ]; then eval home=~${u} if [ ! -d "${home}" ]; then if yesno \ "Would you like me to create ${u}'s home directory (${home})" y then (umask 77 && \ mkdir -p ${home}) || exit chown -R ${u}:${g} ${home} || exit else echo "Please create it, and try again." exit 1 fi fi fi } if [ "$2" != "PRE-INSTALL" ]; then exit 0 fi USER=www GROUP=${USER} UID=80 GID=${UID} if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then if pw groupadd ${GROUP} -g ${GID}; then echo "Added group \"${GROUP}\"." else echo "Adding group \"${GROUP}\" failed..." exit 1 fi fi if ! pw usershow "${USER}" 2>/dev/null 1>&2; then if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \ -s "/sbin/nologin" -d "/nonexistent" \ -c "World Wide Web Owner"; \ then echo "Added user \"${USER}\"." else echo "Adding user \"${USER}\" failed..." exit 1 fi fi make_account smokeping smokeping "SmokePing Daemon" "/nonexistent" /option> FreeBSD GNOME current development ports (https://github.com/freebsd/freebsd-ports-gnome)
aboutsummaryrefslogtreecommitdiffstats
path: root/x11-wm/kompmgr
Commit message (Expand)AuthorAgeFilesLines
* The KDE FreeBSD team is proud to announce the releasemiwi2008-08-291-3/+3
* The KDE FreeBSD team is proud to announce the releasemiwi2008-08-183-43709/+3
* - Add missing xorg dependencymiwi2008-08-011-1/+2
* Bump portrevision due to upgrade of devel/gettext.edwin2008-06-061-0/+1
* - Remove unneeded dependency from gtk12/gtk20 [1]miwi2008-04-201-1/+1
* Remove support for XFree8-4.flz2008-03-081-4/+0
* Update to KDE 3.5.8lofi2007-10-302-13/+8
* Update to KDE 3.5.7 / KOffice 1.6.3lofi2007-07-042-4/+3
* - Welcome X.org 7.2 \o/.flz2007-05-201-0/+1
* Update to KDE 3.5.6 / KOffice 1.6.2lofi2007-03-142-4/+4
* Update to KDE 3.5.5 / KOffice 1.6.1lofi2006-12-201-3/+3
* KDE 3.5.4 / KOffice 1.5.2lofi2006-09-131-3/+3
* Update to KDE 3.5.3lofi2006-06-061-3/+3
* Update to KDE 3.5.2lofi2006-03-312-4/+4
* Conversion to a single libtool environment.ade2006-02-231-1/+1
* Update to KDE 3.5.1.lofi2006-02-011-3/+3
* Update to KDE 3.5.0lofi2006-01-092-30/+3
* Update to KDE 3.4.3 / KOffice 1.4.2lofi2005-11-051-2/+2
* Update to KDE 3.4.2 / KOffice 1.4.1lofi2005-08-012-3/+2
* Fix build on 4.x [1], don't crash with malloc debug flag J enabled [2]lofi2005-07-052-0/+29
* Update to KDE 3.4.1lofi2005-06-261-2/+2
* Fix package build.lofi2005-03-242-0/+43707